<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'kids_fashion_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'kids-fashion' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'kids-fashion' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
		'partial_refresh'    => [
		'kids_fashion_display_header_title' => [
			'selector'        => '.logo a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'kids-fashion' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
		'partial_refresh'    => [
		'kids_fashion_display_header_text' => [
			'selector'        => '.logo-content span',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'kids_fashion_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'kids-fashion' ),
	) );

	Kirki::add_section( 'kids_fashion_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'kids-fashion' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_all_headings_typography',
		'section'     => 'kids_fashion_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'kids_fashion_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'kids-fashion' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'kids-fashion' ),
		'section'     => 'kids_fashion_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_body_content_typography',
		'section'     => 'kids_fashion_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'kids_fashion_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'kids-fashion' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'kids-fashion' ),
		'section'     => 'kids_fashion_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'kids_fashion_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'kids-fashion' ),
	) );

	// Additional Settings

	Kirki::add_section( 'kids_fashion_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'kids-fashion' ),
	    'description'    => esc_html__( 'Scroll To Top', 'kids-fashion' ),
	    'panel'          => 'kids_fashion_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'kids_fashion_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'kids-fashion' ),
		'section'     => 'kids_fashion_additional_settings',
		'default'     => '1',
		'priority'    => 10,
		'partial_refresh'    => [
		'kids_fashion_scroll_enable_setting' => [
			'selector'        => '.scroll-up a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'kids_fashion_scroll_top_position',
		'label'       => esc_html__( 'Alignment for Scroll To Top', 'kids-fashion' ),
		'section'     => 'kids_fashion_additional_settings',
		'default'     => 'Right',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'kids-fashion' ),
			'Center' => esc_html__( 'Center', 'kids-fashion' ),
			'Right'  => esc_html__( 'Right', 'kids-fashion' ),
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_kids_fashion',
		'label'       => esc_html__( 'Menus Text Transform', 'kids-fashion' ),
		'section'     => 'kids_fashion_additional_settings',
		'default'     => 'UPPERCASE',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'kids-fashion' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'kids-fashion' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'kids-fashion' ),

		],
	] );

		new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'kids-fashion' ),
		'section'     => 'kids_fashion_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'None' => __('None','kids-fashion'),
            'Zoominn' => __('Zoom Inn','kids-fashion'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'kids_fashion_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'kids-fashion' ),
		'section'     => 'kids_fashion_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'kids_fashion_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'kids-fashion' ),
		'section'     => 'kids_fashion_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'kids-fashion' ),
		'section'     => 'kids_fashion_additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','kids-fashion'),
            'Right Sidebar' => __('Right Sidebar','kids-fashion'),
            'One Column' => __('One Column','kids-fashion')
		],
	] );


	if ( class_exists("woocommerce")){

	// Woocommerce Settings

	Kirki::add_section( 'kids_fashion_woocommerce_settings', array(
		'title'          => esc_html__( 'Woocommerce Settings', 'kids-fashion' ),
		'description'    => esc_html__( 'Shop Page', 'kids-fashion' ),
		'panel'          => 'kids_fashion_panel_id',
		'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'kids_fashion_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'kids-fashion' ),
		'section'     => 'kids_fashion_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'kids_fashion_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'kids-fashion' ),
		'section'     => 'kids_fashion_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'kids_fashion_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'kids-fashion' ),
		'section'     => 'kids_fashion_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
	[
		'settings' => 'kids_fashion_per_columns',
		'label'    => esc_html__( 'Product Per Row', 'kids-fashion' ),
		'section'  => 'kids_fashion_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'kids_fashion_product_per_page',
		'label'    => esc_html__( 'Product Per Page', 'kids-fashion' ),
		'section'  => 'kids_fashion_woocommerce_settings',
		'default'  => 9,
		'choices'  => [
			'min'  => 1,
			'max'  => 15,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'kids-fashion' ),
		'section'  => 'kids_fashion_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'kids-fashion' ),
		'section'  => 'kids_fashion_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'kids-fashion' ),
		'section'     => 'kids_fashion_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','kids-fashion'),
            'Right Sidebar' => __('Right Sidebar','kids-fashion')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'kids-fashion' ),
		'section'     => 'kids_fashion_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','kids-fashion'),
            'Right Sidebar' => __('Right Sidebar','kids-fashion')
		],
	] );

}

	// COLOR SECTION

	Kirki::add_section( 'kids_fashion_section_color', array(
	    'title'          => esc_html__( 'Global Color', 'kids-fashion' ),
	    'description'    => esc_html__( 'Theme Color Settings', 'kids-fashion' ),
	    'panel'          => 'kids_fashion_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_global_colors',
		'section'     => 'kids_fashion_section_color',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Here you can change your theme color on one click.', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'kids_fashion_global_color',
		'label'       => __( 'choose your Appropriate Color', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_color',
		'default'     => '#f98496',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'kids_fashion_global_color_2',
		'label'       => __( 'Choose Your Second Color', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_color',
		'default'     => '#9085f9',
	] );

	// POST SECTION

	Kirki::add_section( 'kids_fashion_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'kids-fashion' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'kids-fashion' ),
	    'panel'          => 'kids_fashion_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_enable_post_heading',
		'section'     => 'kids_fashion_section_post',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
		'partial_refresh'    => [
		'kids_fashion_blog_admin_enable' => [
			'selector'        => 'h3.post-title',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'kids_fashion_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

		new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','kids-fashion'),
            'Right Sidebar' => __('Right Sidebar','kids-fashion')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','kids-fashion'),
            'Right Sidebar' => __('Right Sidebar','kids-fashion')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','kids-fashion'),
            'Right Sidebar' => __('Right Sidebar','kids-fashion')
		],
	] );

	Kirki::add_field( 'kids_fashion_config', [
		'type'        => 'select',
		'settings'    => 'kids_fashion_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'kids-fashion' ),
				'2' => __( '2 Column', 'kids-fashion' ),
				'3' => __( '3 Column', 'kids-fashion' ),
				'4' => __( '4 Column', 'kids-fashion' ),
			],
	] );

	// HEADER SECTION

	Kirki::add_section( 'kids_fashion_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'kids-fashion' ),
	    'description'    => esc_html__( 'Here you can add different type of social icons.', 'kids-fashion' ),
	    'panel'          => 'kids_fashion_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_phone_number_heading_1',
		'section'     => 'kids_fashion_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Choose Your Icon', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'kids_fashion_dashicons_setting_1',
		'label'    => esc_html__( 'Select Appropriate Icon', 'kids-fashion' ),
		'section'  => 'kids_fashion_section_header',
		'default'  => 'dashicons dashicons-phone',
		'priority' => 10,
		'partial_refresh'    => [
		'kids_fashion_dashicons_setting_1' => [
			'selector'        => '.top-header span a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_phone_number_heading',
		'section'     => 'kids_fashion_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Phone Number', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'kids_fashion_header_phone_number',
		'section'  => 'kids_fashion_section_header',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_phone_number_heading_2',
		'section'     => 'kids_fashion_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Choose Your Icon', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'kids_fashion_dashicons_setting_2',
		'label'    => esc_html__( 'Select Appropriate Icon', 'kids-fashion' ),
		'section'  => 'kids_fashion_section_header',
		'default'  => 'dashicons dashicons-email',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_email_address_heading',
		'section'     => 'kids_fashion_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Email Address', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'kids_fashion_header_email_address',
		'section'  => 'kids_fashion_section_header',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_enable_socail_link',
		'section'     => 'kids_fashion_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'kids_fashion_section_header',
		'priority'    => 10,
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'kids-fashion' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'kids-fashion' ),
		'settings'     => 'kids_fashion_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'kids-fashion' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'kids-fashion' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'kids-fashion' ),
				'description' => esc_html__( 'Add the social icon url here.', 'kids-fashion' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
		'partial_refresh'    => [
		'kids_fashion_social_links_settings' => [
			'selector'        => '.social-links a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_enable_search',
		'section'     => 'kids_fashion_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Search Box', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_search_box_enable',
		'label'       => esc_html__( 'Search Enable / Disable Button', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_enable_cart',
		'section'     => 'kids_fashion_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Cart', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_cart_box_enable',
		'label'       => esc_html__( 'Cart Enable / Disable Button', 'kids-fashion' ),
		'section'     => 'kids_fashion_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'kids_fashion_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'kids-fashion' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'kids-fashion' ),
        'panel'          => 'kids_fashion_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_enable_heading',
		'section'     => 'kids_fashion_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_blog_box_enablee',
		'label'       => esc_html__( 'Section Enable / Disable', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
		'partial_refresh'    => [
		'kids_fashion_blog_box_enablee' => [
			'selector'        => '.blog_box h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_slide_title_unable_disable',
		'label'       => esc_html__( 'Slider Title Enable / Disable', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_slide_text_unable_disable',
		'label'       => esc_html__( 'Slider Text Enable / Disable', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_slider_heading',
		'section'     => 'kids_fashion_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'kids_fashion_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'kids_fashion_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'kids-fashion' ),
		'priority'    => 10,
		'choices'     => kids_fashion_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_slide_text_excerpt_number',
		'section'     => 'kids_fashion_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Text', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'kids_fashion_slide_excerpt_number',
		'label'       => esc_html__( 'Slide Content Range', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => 20,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_slider_extra_heading',
		'section'     => 'kids_fashion_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider Extra Title', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'kids_fashion_slider_main_title',
		'section'  => 'kids_fashion_blog_slide_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_slider_button_heading',
		'section'     => 'kids_fashion_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider Button Text', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'kids_fashion_slider_button_text',
		'section'  => 'kids_fashion_blog_slide_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'kids_fashion_slider_heading_22',
	'section'     => 'kids_fashion_blog_slide_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Content Alignment', 'kids-fashion' ) . '</h3>',
	'priority'    => 10,
] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'kids-fashion' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'kids-fashion' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'kids-fashion' ),

		],
	] );

		new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => '0.6',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'0' => esc_html__( '0', 'kids-fashion' ),
			'0.1' => esc_html__( '0.1', 'kids-fashion' ),
			'0.2' => esc_html__( '0.2', 'kids-fashion' ),
			'0.3' => esc_html__( '0.3', 'kids-fashion' ),
			'0.4' => esc_html__( '0.4', 'kids-fashion' ),
			'0.5' => esc_html__( '0.5', 'kids-fashion' ),
			'0.6' => esc_html__( '0.6', 'kids-fashion' ),
			'0.7' => esc_html__( '0.7', 'kids-fashion' ),
			'0.8' => esc_html__( '0.8', 'kids-fashion' ),
			'0.9' => esc_html__( '0.9', 'kids-fashion' ),
			'1.0' => esc_html__( '1.0', 'kids-fashion' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'kids_fashion_slider_image_overlay_color',
		'label'       => __( 'choose your Appropriate Overlay Color', 'kids-fashion' ),
		'section'     => 'kids_fashion_blog_slide_section',
		'default'     => '',
	] );



	// PRODUCTS SECTION

	Kirki::add_section( 'kids_fashion_hot_product_section', array(
        'title'          => esc_html__( 'Hot Products Settings', 'kids-fashion' ),
        'description'    => esc_html__( 'You have to select product category to show products.', 'kids-fashion' ),
        'panel'          => 'kids_fashion_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_product_enable_heading',
		'section'     => 'kids_fashion_hot_product_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Product Section', 'kids-fashion' ) . '</h3>',
		'priority'    => 1,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'kids_fashion_hot_products_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'kids-fashion' ),
		'section'     => 'kids_fashion_hot_product_section',
		'default'     => false,
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'kids-fashion' ),
			'off' => esc_html__( 'Disable', 'kids-fashion' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_hot_product_main_heading',
		'section'     => 'kids_fashion_hot_product_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Product Section Main Title', 'kids-fashion' ) . '</h3>',
		'priority'    => 3,
		'partial_refresh'    => [
		'kids_fashion_hot_product_main_heading' => [
			'selector'        => '#products h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'kids_fashion_hot_products_section_heading',
		'section'  => 'kids_fashion_hot_product_section',
		'default'  => '',
		'priority' => 4,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_hot_product_heading',
		'section'     => 'kids_fashion_hot_product_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Product Section Title', 'kids-fashion' ) . '</h3>',
		'priority'    => 5,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'kids_fashion_hot_products_section_sub_heading',
		'section'  => 'kids_fashion_hot_product_section',
		'default'  => '',
		'priority' => 6,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_post_heading',
		'section'     => 'kids_fashion_hot_product_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Hot Products', 'kids-fashion' ) . '</h3>',
		'priority'    => 7,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'kids_fashion_products_numbers',
		'label'       => esc_html__( 'Number of products to show', 'kids-fashion' ),
		'section'     => 'kids_fashion_hot_product_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	] );

	// FOOTER SECTION

	Kirki::add_section( 'kids_fashion_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'kids-fashion' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'kids-fashion' ),
        'panel'          => 'kids_fashion_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'kids_fashion_footer_text_heading',
		'section'     => 'kids_fashion_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'kids-fashion' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'kids_fashion_footer_text',
		'section'  => 'kids_fashion_footer_section',
		'default'  => '',
		'priority' => 10,
		'partial_refresh'    => [
		'kids_fashion_footer_text' => [
			'selector'        => '.copy-text p',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'kids_fashion_footer_text_heading_2',
	'section'     => 'kids_fashion_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'kids-fashion' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'kids_fashion_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'kids-fashion' ),
		'section'     => 'kids_fashion_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'kids-fashion' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'kids-fashion' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'kids-fashion' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'kids-fashion' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'kids_fashion_footer_text_heading_1',
	'section'     => 'kids_fashion_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'kids-fashion' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'kids_fashion_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'kids-fashion' ),
		'section'     => 'kids_fashion_footer_section',
		'default'     => '',
	] );
}

add_action( 'customize_register', 'kids_fashion_customizer_settings' );
function kids_fashion_customizer_settings( $wp_customize ) {
	$kids_fashion_args = array(
       'type'                     => 'product',
        'child_of'                 => 0,
        'parent'                   => '',
        'orderby'                  => 'term_group',
        'order'                    => 'ASC',
        'hide_empty'               => false,
        'hierarchical'             => 1,
        'number'                   => '',
        'taxonomy'                 => 'product_cat',
        'pad_counts'               => false
    );
	$categories = get_categories($kids_fashion_args);
	$cat_posts = array();
	$m = 0;
	$cat_posts[]='Select';
	foreach($categories as $category){
		if($m==0){
			$default = $category->slug;
			$m++;
		}
		$cat_posts[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('kids_fashion_products_category',array(
		'default'	=> 'select',
		'sanitize_callback' => 'kids_fashion_sanitize_select',
	));

	$wp_customize->add_control('kids_fashion_products_category',array(
		'type'    => 'select',
		'choices' => $cat_posts,
		'label' => __('Select category to display products ','kids-fashion'),
		'section' => 'kids_fashion_hot_product_section',
	));
}
