<?php

/**
* Get started notice
*/

add_action( 'wp_ajax_kids_fashion_dismissed_notice_handler', 'kids_fashion_ajax_notice_handler' );

/**
 * AJAX handler to store the state of dismissible notices.
 */
function kids_fashion_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        // Pick up the notice "type" - passed via jQuery (the "data-notice" attribute on the notice)
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        // Store it in the options table
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function kids_fashion_deprecated_hook_admin_notice() {
        // Check if it's been dismissed...
        if ( ! get_option('dismissed-get_started', FALSE ) ) {?>

            <?php
            $current_screen = get_current_screen();
				if ($current_screen->id !== 'appearance_page_kids-fashion-guide-page') {
             $kids_fashion_comments_theme = wp_get_theme(); ?>
            <div class="kids-fashion-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
			<div class="kids-fashion-notice">
				<div class="kids-fashion-notice-img">
					<img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/admin-logo.png'); ?>" alt="<?php esc_attr_e('logo', 'kids-fashion'); ?>">
				</div>
				<div class="kids-fashion-notice-content">
					<div class="kids-fashion-notice-heading"><?php esc_html_e('Thanks for installing ','kids-fashion'); ?><?php echo esc_html( $kids_fashion_comments_theme ); ?></div>
					<p><?php printf(__('In order to fully benefit from everything our theme has to offer, please make sure you visit our <a href="%s">For Premium Options</a>.', 'kids-fashion'), esc_url(admin_url('themes.php?page=kids-fashion-guide-page'))); ?></p>
					<?php if (is_child_theme()) { ?>
						<?php $child_theme = wp_get_theme(); ?>
						<?php printf(esc_html__('You\'re using %1$s theme, It\'s a child theme of %2$s.', 'kids-fashion'), '<strong>' . $child_theme->Name . '</strong>', '<strong>' . esc_html__('kids_fashion', 'kids-fashion') . '</strong>'); 
						?>
						<?php
						$copy_link_args = array(
							'page' => 'kids-fashion',
							'action' => 'show_copy_settings',
						);
						$copy_link = add_query_arg($copy_link_args, admin_url('themes.php'));
						?>
						<?php printf('%s <a href="%s" class="go-to-setting">%s</a>', esc_html__('Now you can copy setting data from parent theme to this child theme', 'kids-fashion'), esc_url($copy_link), esc_html__('Copy Settings', 'kids-fashion')); ?>
					<?php } ?>
				</div>
			</div>
		</div>
        <?php }
	}
}

add_action( 'admin_notices', 'kids_fashion_deprecated_hook_admin_notice' );

add_action( 'admin_menu', 'kids_fashion_getting_started' );
function kids_fashion_getting_started() {
	add_theme_page( esc_html__('Get Started', 'kids-fashion'), esc_html__('Get Started', 'kids-fashion'), 'edit_theme_options', 'kids-fashion-guide-page', 'kids_fashion_test_guide');
}

function kids_fashion_admin_enqueue_scripts() {
	wp_enqueue_style( 'kids-fashion-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
	wp_enqueue_script( 'kids-fashion-admin-script', get_template_directory_uri() . '/js/kids-fashion-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'kids-fashion-admin-script', 'kids_fashion_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'kids_fashion_admin_enqueue_scripts' );

if ( ! defined('KIDS_FASHION_DOCS_FREE') ){
define('KIDS_FASHION_DOCS_FREE',__('https://www.misbahwp.com/docs/kids-fashion-free-docs/','kids-fashion'));
}
if ( ! defined('KIDS_FASHION_DOCS_PRO') ){
define('KIDS_FASHION_DOCS_PRO',__('https://www.misbahwp.com/docs/kids-fashion-pro-docs','kids-fashion'));
}
if ( ! defined('KIDS_FASHION_BUY_NOW') ){
define('KIDS_FASHION_BUY_NOW',__('https://www.misbahwp.com/themes/fashion-kids-wordpress-theme/','kids-fashion'));
}
if ( ! defined('KIDS_FASHION_SUPPORT_FREE') ){
define('KIDS_FASHION_SUPPORT_FREE',__('https://wordpress.org/support/theme/kids-fashion','kids-fashion'));
}
if ( ! defined('KIDS_FASHION_REVIEW_FREE') ){
define('KIDS_FASHION_REVIEW_FREE',__('https://wordpress.org/support/theme/kids-fashion/reviews/#new-post','kids-fashion'));
}
if ( ! defined('KIDS_FASHION_DEMO_PRO') ){
define('KIDS_FASHION_DEMO_PRO',__('https://www.misbahwp.com/demo/fashion-kids/','kids-fashion'));
}
if( ! defined( 'KIDS_FASHION_THEME_BUNDLE' ) ) {
define('KIDS_FASHION_THEME_BUNDLE',__('https://www.misbahwp.com/themes/wordpress-bundle/','kids-fashion'));
}

function kids_fashion_test_guide() { ?>
	<?php $kids_fashion_theme = wp_get_theme(); ?>

	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( KIDS_FASHION_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'kids-fashion' ) ?></a>
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'kids-fashion' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( KIDS_FASHION_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'kids-fashion' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( KIDS_FASHION_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'kids-fashion' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','kids-fashion'); ?><?php echo esc_html( $kids_fashion_theme ); ?>  <span><?php esc_html_e('Version: ', 'kids-fashion'); ?><?php echo esc_html($kids_fashion_theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-insidee">
					<?php
						$kids_fashion_theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $kids_fashion_theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postboxxx donate">
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'kids-fashion' ); ?></h3>
				<div class="insidee">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','kids-fashion'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( KIDS_FASHION_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'kids-fashion' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( KIDS_FASHION_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'kids-fashion' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( KIDS_FASHION_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'kids-fashion' ) ?></a>
					</div>
				</div>

				<h3 class="hndle bundle"><?php esc_html_e( 'Go For Theme Bundle', 'kids-fashion' ); ?></h3>
				<div class="insidee theme-bundle">
					<p class="offer"><?php esc_html_e('Get 80+ Perfect WordPress Theme In A Single Package at just $79."','kids-fashion'); ?></p>
					<p class="coupon"><?php esc_html_e('Exclusive Offer !! Get Our Theme Pack of 60+ WordPress Themes At 10% Off','kids-fashion'); ?><span class="coupon-code"><?php esc_html_e('"Themespack10"','kids-fashion'); ?></span></p>
					<div id="admin_pro_linkss">
						<a class="blue-button-1" href="<?php echo esc_url( KIDS_FASHION_THEME_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Theme Bundle', 'kids-fashion' ) ?></a>
					</div>
				</div>
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','kids-fashion'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','kids-fashion'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','kids-fashion'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','kids-fashion'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
	  		</div>
			</div>
		</div>
	</div>

<?php } ?>
